Subject: Re: [STABLE REQUEST] Merge to linux-3.4.y net: Downgrade CAP_SYS_MODULE deprecated message from error to warning.

From: Greg KH <[email-masked]>
Date: Thu, 14 Feb 2013 16:45:51 -0800

On Thu, Feb 14, 2013 at 04:16:18PM -0800, Vinson Lee wrote:
> On Thu, Feb 14, 2013 at 3:37 PM, Greg KH <[email-masked]> wrote:
> > On Thu, Feb 14, 2013 at 03:29:44PM -0800, Vinson Lee wrote:
> >> Hi.
> >>
> >> I would like to nominate commit
> >> 7cecb523adedcaf8acba5e14d47559d8bc3f40d7 for backport to stable
> >> branches 3.4 and earlier.
> >>
> >> commit 7cecb523adedcaf8acba5e14d47559d8bc3f40d7
> >> Author: Vinson Lee <[email-masked]>
> >> Date:   Wed Jun 27 14:32:07 2012 +0000
> >>
> >>     net: Downgrade CAP_SYS_MODULE deprecated message from error to warning.
> >>
> >>     Make logging level consistent with other deprecation messages in net
> >>     subsystem.
> >>
> >>     Signed-off-by: Vinson Lee <[email-masked]>
> >>     Cc: David Mackey <[email-masked]>
> >>     Signed-off-by: David S. Miller <[email-masked]>
> >
> > I fail to see how this patch meets the rules described in
> > Documentation/stable_kernel_rules.txt.  What am I missing?
> >
> > thanks,
> >
> > greg k-h
> 
> I am logging different kernel log-level messages to different files
> and monitoring them here. I see this message most often in the errors
> pile. It's arguable that this is not a bug, but it is definitely
> bothering me here. Please consider for backport but I would understand
> if this request was turned down.

As it's not a "bug", and it's something trivial you can fix on your end
if it really annoys you (you should be fixing the root problem here, not
the kernel log message, right?), I'm not going to take it in the -stable
tree.

Unless the network maintainers want to override me, in which case, I'll
be glad to take it then :)

thanks,

greg k-h